Name:           pybind11
Version:        2.7.1
Release:        1
Summary:        Seamless operability between C++11 and Python
License:        BSD
URL:            https://github.com/pybind/pybind11
Source0:        https://github.com/pybind/pybind11/archive/v%{version}/%{name}-%{version}.tar.gz

%define python3_sitearch %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

%global _description %{expand:
pybind11 is a lightweight header-only library that exposes C++ types
in Python and vice versa, mainly to create Python bindings of existing
C++ code.}

BuildRequires:  python3-devel >= 3.7.11
BuildRequires:  gcc-c++
BuildRequires:  cmake

%description %{_description}

%package -n python3-%{name}
Summary:       %{summary}
Requires:      python3 >= 3.7.11

%description -n python3-%{name} %{_description}


%prep
%autosetup -n %{name}-%{version} -p1


%build
export PATH=/opt/freeware/bin:$PATH

python3 setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

python3 setup.py install --root %{buildroot} 


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n python3-%{name}
%defattr(-,root,system,-)
%license LICENSE
%doc README.rst
%{_bindir}/pybind11-config
%{python3_sitearch}/%{name}
%{python3_sitearch}/%{name}-*.egg-info


%changelog
* Thu Sep 16 2021 Ayappan P <ayappap2@in.ibm.com> - 2.7.1-1
- First port of pybind11 to AIX Toolbox
